Bug 74153 - FILESAVE: DOCX : 'Page Break - Column Break' (in 1 column per page) not being preserved in RT
Summary: FILESAVE: DOCX : 'Page Break - Column Break' (in 1 column per page) not being...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: pallavi.jadhav
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks: 76349
  Show dependency treegraph
 
Reported: 2014-01-28 13:39 UTC by pallavi.jadhav
Modified: 2014-03-19 10:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File contains Column break(in 1 column per page) (11.24 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-28 13:39 UTC, pallavi.jadhav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pallavi.jadhav 2014-01-28 13:39:15 UTC
Created attachment 92925 [details]
File contains Column break(in 1 column per page)

Steps to reproduce :
1] Open attached document in LO
2] Perform save_as
3] Open saved file in MSO 2010. 

Current behavior :
Document containing Column break(1 column per page) is not preserved.

Expected behavior :
Column break should be preserved after RT.
Comment 1 Thomas van der Meulen 2014-01-30 18:44:51 UTC
Thank you for your bug report,
I can reproduce this bug, but the column breaker isn't working at the file opening. 

Test system details: 
Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
os: mac osx 10.9.1

Windows 7
Microsoft Office 2007
Comment 2 pallavi.jadhav 2014-02-03 14:01:06 UTC
Yes, there is problem for both FILEOPEN and FILESAVE.
But I am working only on Export part. Hence created bug with FILESAVE issue only.
Comment 3 Commit Notification 2014-02-13 14:19:37 UTC
Pallavi Jadhav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78c5cbc720993e9cc01fceadd73678ed1a45d37f

fdo#74153 : Preservation of Column Break with column_count = 0



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Jorendc 2014-03-19 10:01:38 UTC
I can confirm the column break with 1 column per page is preserved after roundtripping the file.

Tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 87efec9cc27b18aa09e50c289b503ba1127eb0b8
TinderBox: Win-x86@39, Branch:master, Time: 2014-03-18_02:50:50

I'll create a new bug report for the FILEOPEN part.

Thanks for fixing!

Kind regards,
Joren